Index: src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision e51e07848dbbc56e832ccd95ad2c01861f212be8)
+++ src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 304e42faf3cbf469f953b6d256420f4bafc63dbe)
@@ -30,7 +30,9 @@
 MAX_DIST = 140.0
 DICT_KEYS = ["Calculator", "PrPlot", "DataPlot", "DMaxWindow",
-             "Logic", "NFunc", "NFuncEst", "BackgroundEst"]
-
-
+             "Logic", "NFuncEst"]
+
+
+# TODO: Remove not working
+# TODO: Explore window not working
 # TODO: Update help with batch capabilities
 # TODO: Method to export results in some meaningful way
@@ -68,4 +70,6 @@
         # p(r) calculator for self._data
         self._calculator = Invertor()
+        # Default to background estimate
+        self._calculator.set_est_bck(True)
         # plots of self._data
         self.pr_plot = None
@@ -151,5 +155,5 @@
 
         self.backgroundInput.editingFinished.connect(
-            lambda: self._calculator.set_est_bck(is_float(self.backgroundInput.text())))
+            lambda: self._calculator.set_background(is_float(self.backgroundInput.text())))
         self.minQInput.editingFinished.connect(
             lambda: self._calculator.set_qmin(is_float(self.minQInput.text())))
@@ -305,4 +309,5 @@
         self.updateDataList(ref_item)
         self.setCurrentData(ref_item)
+        self.updateGuiValues()
 
     ######################################################################
@@ -355,6 +360,8 @@
         if sender is self.estimateBgd:
             self.backgroundInput.setEnabled(False)
+            self._calculator.set_est_bck = True
         else:
             self.backgroundInput.setEnabled(True)
+            self._calculator.set_est_bck = False
 
     def openExplorerWindow(self):
@@ -398,4 +405,5 @@
             self.performEstimate()
         self.enableButtons()
+        self.updateGuiValues()
 
     def updateDataList(self, dataRef):
@@ -409,7 +417,5 @@
             DICT_KEYS[3]: self.dmaxWindow,
             DICT_KEYS[4]: self.logic,
-            DICT_KEYS[5]: self.getNFunc(),
-            DICT_KEYS[6]: self.nTermsSuggested,
-            DICT_KEYS[7]: self.backgroundInput.text()
+            DICT_KEYS[5]: self.nTermsSuggested
         }
 
@@ -426,4 +432,6 @@
     def setCurrentData(self, data_ref):
         """Get the data by reference and display as necessary"""
+        if data_ref is None:
+            return
         if not isinstance(data_ref, QtGui.QStandardItem):
             msg = "Incorrect type passed to the P(r) Perspective"
@@ -437,4 +445,5 @@
         self.dmaxWindow = self._data_list[data_ref].get(DICT_KEYS[3])
         self.logic = self._data_list[data_ref].get(DICT_KEYS[4])
+        self.nTermsSuggested = self._data_list[data_ref].get(DICT_KEYS[5])
         self.updateGuiValues()
 
@@ -451,5 +460,5 @@
                            QtGui.QStandardItem("{:.4g}".format(pr.get_qmax())))
         self.model.setItem(WIDGETS.W_BACKGROUND_INPUT,
-                           QtGui.QStandardItem("{:.3f}".format(pr.est_bck)))
+                           QtGui.QStandardItem("{:.3f}".format(pr.background)))
         self.model.setItem(WIDGETS.W_BACKGROUND_OUTPUT,
                            QtGui.QStandardItem("{:.3g}".format(pr.background)))
@@ -458,5 +467,5 @@
         if alpha != 0:
             self.regConstantSuggestionButton.setText("{:-3.2g}".format(alpha))
-        self.regConstantSuggestionButton.setEnabled(alpha != 0)
+        self.regConstantSuggestionButton.setEnabled(alpha != self._calculator.alpha)
         if nterms != self.nTermsSuggested:
             self.noOfTermsSuggestionButton.setText(
@@ -466,5 +475,5 @@
                            QtGui.QStandardItem("{:.2g}".format(elapsed)))
 
-        if isinstance(pr.chi2, list):
+        if isinstance(pr.chi2, np.ndarray):
             self.model.setItem(WIDGETS.W_CHI_SQUARED,
                                QtGui.QStandardItem("{:.3g}".format(pr.chi2[0])))
@@ -500,4 +509,5 @@
             self.enableButtons()
         self.dataList.setCurrentIndex(0)
+        self.updateGuiValues()
 
     ######################################################################
@@ -590,5 +600,4 @@
         """
         alpha, message, elapsed = output_tuple
-        # Save useful info
         self.updateGuiValues()
         if message:
@@ -644,12 +653,6 @@
         if self.pr_plot is None:
             self.pr_plot = self.logic.newPRPlot(out, self._calculator, cov)
-        else:
-            title = self.pr_plot.name
-            GuiUtils.updateModelItemWithPlot(self._data, self.pr_plot, title)
         if self.data_plot is None:
             self.data_plot = self.logic.new1DPlot(out, self._calculator)
-        else:
-            title = self.data_plot.name
-            GuiUtils.updateModelItemWithPlot(self._data, self.data_plot, title)
         self.updateDataList(self._data)
         self.updateGuiValues()
